# <mkdir>

Creates a directory and any non-existent parent directory if necessary.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
dir | directory | The directory to create. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Examples

- Create the directory `build`.

                  <mkdir dir="build" />

- Create the directory tree `one/two/three`.

                  <mkdir dir="one/two/three" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)